package org.jeecg.modules.admincasehistory.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.admincasehistory.entity.AdminPlatform;
import org.jeecg.modules.admincasehistory.service.IAdminPlatformService;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: admin_platform
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
@Api(tags="admin_platform")
@RestController
@RequestMapping("/admincasehistory/adminPlatform")
@Slf4j
public class AdminPlatformController extends JeecgController<AdminPlatform, IAdminPlatformService> {
	@Autowired
	private IAdminPlatformService adminPlatformService;

	 @PostMapping(value = "/one")
	 public Result<AdminPlatform> queryPageList() {
		 List<AdminPlatform> list = adminPlatformService.list();
		 return Result.OK(list.get( 0 ));
	 }


	 @PostMapping(value = "/add")
	 public Result<String> add(@RequestBody AdminPlatform PlatformParameter) {
		 adminPlatformService.save(PlatformParameter);
		 return Result.OK("添加成功！");
	 }


	 @RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	 public Result<String> edit(@RequestBody AdminPlatform PlatformParameter) {
		 adminPlatformService.updateById(PlatformParameter);
		 return Result.OK("编辑成功!");
	 }
}
