package org.jeecg.modules.admincasehistory.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 病历管理
 * @Author: jeecg-boot
 * @Date:   2022-12-22
 * @Version: V1.0
 */
@Data
@TableName("admin_medical_history")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="admin_medical_history对象", description="病历管理")
public class AdminMedicalHistory implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**提交人账号*/
//	@Excel(name = "提交人账号", width = 15)
    @ApiModelProperty(value = "提交人账号")
    private String phone;
	/**分类名称*/
	@Excel(name = "分类名称", width = 15)
    @ApiModelProperty(value = "分类名称")
    private String uploadingName;
	/**审核人账号*/
//	@Excel(name = "审核人账号", width = 15)
    @ApiModelProperty(value = "审核人账号")
    private String auditor;
	/**审核时间*/
//	@Excel(name = "审核时间", width = 15)
    @ApiModelProperty(value = "审核时间")
    private Date auditorTime;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private String title;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private String name;
	/**省份*/
	@Excel(name = "省份", width = 15)
    @ApiModelProperty(value = "省份")
    private String province;
	/**城市*/
	@Excel(name = "城市", width = 15)
    @ApiModelProperty(value = "城市")
    private String city;
	/**医院*/
	@Excel(name = "医院", width = 15)
    @ApiModelProperty(value = "医院")
    private String hospital;
	/**病历类型*/
	@Excel(name = "病历类型", width = 15)
    @ApiModelProperty(value = "病历类型")
    private String caseName;
	/**拍照图片*/
	@Excel(name = "拍照图片（修改或者不修改看到的图片）", width = 15)
    @ApiModelProperty(value = "拍照图片（修改或者不修改看到的图片）")
    private String pic;
//	@Excel(name = "不变的图片（上传的图片）", width = 15)
    @ApiModelProperty(value = "不变的图片（上传的图片）")
    private String picTwo;
	/**图片识别文字*/
	@Excel(name = "图片识别文字", width = 15)
    @ApiModelProperty(value = "图片识别文字")
    private String picWordRecognition;
	/**文件*/
	@Excel(name = "文件", width = 15)
    @ApiModelProperty(value = "文件")
    private String mhFile;
	/**是否通过初审 1没通过 2通过*/
//	@Excel(name = "是否通过初审 1没通过 2通过", width = 15, dictTable = "sftgcs", dicText = "", dicCode = "")
	@Dict( dicCode = "sftgcs")
    @ApiModelProperty(value = "是否通过初审 1没通过 2通过")
    private String firstTrial;
	/**是否二次上传 1没上传 2上传了*/
//	@Excel(name = "是否二次上传 1没上传 2上传了", width = 15, dictTable = "sfecsc", dicText = "", dicCode = "")
	@Dict(dicCode = "sfecsc")
    @ApiModelProperty(value = "是否二次上传 1没上传 2上传了")
    private String secondaryUpload;
	/**专家是否通过  0未审理 1没通过  2通过了*/
//	@Excel(name = "专家是否通过  0未审理 1没通过  2通过了", width = 15, dictTable = "zjsftg", dicText = "", dicCode = "")
	@Dict( dicCode = "zjsftg")
    @ApiModelProperty(value = "专家是否通过  0未审理 1没通过  2通过了")
    private String type;
    @ApiModelProperty(value = "专家审批时间")
    private Date zjspTime;
    @ApiModelProperty(value = "专家审批通过理由")
    private String zjspPass;
    @ApiModelProperty(value = "专家审批不通过理由")
    private String zjspNotpass;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "是否被分配 1未分配 2分配")
    private String allocation;
    @ApiModelProperty(value = "分配专家名称")
    private String allocationZjname;
    @ApiModelProperty(value = "分配专家账号")
    private String allocationZjphone;

    @ApiModelProperty(value = "是否需要二次上传 1需要")
    private String isSecondaryUpload;

    @ApiModelProperty(value = "二次上传文件")
    private String secondaryUploadFile;

    //小程序使用
    @ApiModelProperty(value = "文件名称（小程序使用）")
    private String mhFileName;

    @ApiModelProperty(value = "二次上传文件名称（小程序使用）")
    private String secondaryUploadFileName;
}
