package org.jeecg.modules.adminuser.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 用户管理
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
@Data
@TableName("admin_user")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="admin_user对象", description="用户管理")
public class AdminUser implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private String id;
	/**姓名*/
	@Excel(name = "姓名", width = 15)
    @ApiModelProperty(value = "姓名")
    private String name;
	/**手机号*/
	@Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private String phone;

    @Excel(name = "联系方式", width = 15)
    @ApiModelProperty(value = "联系方式")
    private String contactInformation;
	/**头像*/
    @ApiModelProperty(value = "头像")
    private String avatar;
	/**密码*/
    @ApiModelProperty(value = "密码")
    private String password;
	/**md5密码盐*/
    @ApiModelProperty(value = "md5密码盐")
    private String salt;
	/**身份证号*/
	@Excel(name = "身份证号", width = 15)
    @ApiModelProperty(value = "身份证号")
    private String card;
	/**单位名称*/
	@Excel(name = "单位名称", width = 15)
    @ApiModelProperty(value = "单位名称")
    private String dwname;

    @Excel(name = "是否完善信息（1未完善 2完善了）", width = 15)
    @ApiModelProperty(value = "是否完善信息（1未完善 2完善了）")
    private Integer completeInformation;
	/**科室名称*/
	@Excel(name = "科室名称", width = 15)
    @ApiModelProperty(value = "科室名称")
    private String ksname;
	/**证件照*/
    @ApiModelProperty(value = "证件照")
    private String cardPic;
	/**银行账号*/
	@Excel(name = "银行账号", width = 15)
    @ApiModelProperty(value = "银行账号")
    private String backCard;
	/**开户行*/
	@Excel(name = "开户行", width = 15)
    @ApiModelProperty(value = "开户行")
    private String backName;

    @Excel(name = "持卡人姓名", width = 15)
    @ApiModelProperty(value = "持卡人姓名")
    private String cardholderName;

    @Excel(name = "银行预留手机号", width = 15)
    @ApiModelProperty(value = "银行预留手机号")
    private String cardholderPhone;
	/**医生还是专家  1是医生  2是专家*/
    @ApiModelProperty(value = "医生还是专家  1是医生  2是专家")
    private String doctorAndSpecialist;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建时间*/
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新时间*/
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "专家分配数量")
    private Integer allocationNum;

    @ApiModelProperty(value = "是否允许病历上传1允许 2不允许")
    private String wisMhu;
    @ApiModelProperty(value = "是否允许问卷调查1允许 2不允许")
    private String wisWjdc;
}
