package org.jeecg.modules.system.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.UnsupportedEncodingException;

/**
 * @Description: 收藏明细
 * @Author: jeecg-boot
 * @Date:   2022-06-18
 * @Version: V1.0
 */
@ApiModel(value="nft_order_info对象", description="收藏明细")
@Data
@TableName("nft_order_info")
public class NftOrderInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**藏品名称*/
	@Excel(name = "藏品名称", width = 15)
    @ApiModelProperty(value = "藏品名称")
    private String name;
	/**发放时间*/
	@Excel(name = "发放时间", width = 15)
    @ApiModelProperty(value = "发放时间")
    private Date collectorsHashTime;
	/**创建nft回执*/
	@Excel(name = "创建nft回执", width = 15)
    @ApiModelProperty(value = "创建nft回执")
    private String result;
	/**创建时间*/
	@Excel(name = "创建时间", width = 15)
    @ApiModelProperty(value = "创建时间")
    private Date createAt;
	/**1:正常 0：销毁*/
	@Excel(name = "1:正常 0：销毁", width = 15)
    @ApiModelProperty(value = "1:正常 0：销毁")
    private Integer isDestruction;
	/**流转公司*/
	@Excel(name = "流转公司", width = 15)
    @ApiModelProperty(value = "流转公司")
    private String company;
	/**流转公司hash*/
	@Excel(name = "流转公司hash", width = 15)
    @ApiModelProperty(value = "流转公司hash")
    private String companyHash;
	/**发放时间*/
	@Excel(name = "发放时间", width = 15)
    @ApiModelProperty(value = "发放时间")
    private Date companyHashTime;
	/**tokenid*/
	@Excel(name = "tokenid", width = 15)
    @ApiModelProperty(value = "tokenid")
    private String tokenid;
	/**收藏者hash*/
	@Excel(name = "收藏者hash", width = 15)
    @ApiModelProperty(value = "收藏者hash")
    private String collectorsHash;
	/**藏品图片*/
	@Excel(name = "藏品图片", width = 15)
    @ApiModelProperty(value = "藏品图片")
    private String cover;
	/**藏品详情*/
	@Excel(name = "藏品详情", width = 15)
    @ApiModelProperty(value = "藏品详情")
    private String proInfo;
	/**类型*/
	@Excel(name = "类型", width = 15, dicCode = "nftstatus")
	@Dict(dicCode = "nftstatus")
    @ApiModelProperty(value = "类型")
    private Integer status;
	/**NFT类型*/
	@Excel(name = "NFT类型", width = 15)
    @ApiModelProperty(value = "NFT类型")
    private Integer type;
	/**市场类型*/
	@Excel(name = "市场类型", width = 15)
    @ApiModelProperty(value = "市场类型")
    private Integer scFrom;
	/**转赠、获赠的用户ID*/
	@Excel(name = "转赠、获赠的用户ID", width = 15)
    @ApiModelProperty(value = "转赠、获赠的用户ID")
    private String toMid;
	/**转赠时间*/
	@Excel(name = "转赠时间", width = 15)
    @ApiModelProperty(value = "转赠时间")
    private Date overTime;
	/**二级市场挂售价格*/
	@Excel(name = "二级市场挂售价格", width = 15)
    @ApiModelProperty(value = "二级市场挂售价格")
    private java.math.BigDecimal resalePrice;
	/**服务费*/
	@Excel(name = "服务费", width = 15)
    @ApiModelProperty(value = "服务费")
    private String serviceFee;
	/**版税*/
	@Excel(name = "版税", width = 15)
    @ApiModelProperty(value = "版税")
    private String royalties;
	/**实际到账金额*/
	@Excel(name = "实际到账金额", width = 15)
    @ApiModelProperty(value = "实际到账金额")
    private java.math.BigDecimal toAccount;
	/**1:未挂售 2：挂售中 3：已出售*/
	@Excel(name = "1:未挂售 2：挂售中 3：已出售", width = 15)
    @ApiModelProperty(value = "1:未挂售 2：挂售中 3：已出售")
    private Integer resaleStatus;
	/**挂售时间*/
	@Excel(name = "挂售时间", width = 15)
    @ApiModelProperty(value = "挂售时间")
    private Date resaleTime;
	/**出售成交时间*/
	@Excel(name = "出售成交时间", width = 15)
    @ApiModelProperty(value = "出售成交时间")
    private Date sellingTime;
	/**订单号*/
	@Excel(name = "订单号", width = 15)
    @ApiModelProperty(value = "订单号")
    private String orderId;
	/**订单编号*/
	@Excel(name = "订单编号", width = 15)
    @ApiModelProperty(value = "订单编号")
    private String orderNo;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private String tag;
	/**收藏用户ID*/
    @ApiModelProperty(value = "收藏用户ID")
    private String mid;
	/**藏品ID*/
	@Excel(name = "藏品ID", width = 15)
    @ApiModelProperty(value = "藏品ID")
    private String cpId;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
}
